# Copyright (c) 2015, InfluxFramework LLC
# License: MIT. See LICENSE
import influxframework
from influxframework.model.document import Document


class ClientScript(Document):
	def on_update(self):
		influxframework.clear_cache(doctype=self.dt)

	def on_trash(self):
		influxframework.clear_cache(doctype=self.dt)
